PK_MessageAccumulatorImpl< HASH_ALGORITHM > Class Template Reference

Interface for message encoding method for public key signature schemes. More...

`#include <pubkey.h>`

Inheritance diagram for PK_MessageAccumulatorImpl< HASH_ALGORITHM >:

## Public Member Functions

HashTransformation & | AccessHash ()
Public Member Functions inherited from PK_MessageAccumulatorBase
void | Update (const byte *input, size_t length)
| Updates a hash with additional input.
Public Member Functions inherited from PK_MessageAccumulator
unsigned int | DigestSize () const
void | TruncatedFinal (byte *digest, size_t digestSize)
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object.
virtual byte * | CreateUpdateSpace (size_t &size)
| Request space which can be written into by the caller.
virtual void | Final (byte *digest)
| Computes the hash of the current message.
virtual void | Restart ()
| Restart the hash.
unsigned int | TagSize () const
| Provides the tag size of the hash.
virtual unsigned int | BlockSize () const
| Provides the block size of the compression function.
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash.
virtual unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message.
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message.
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Additional Inherited Members

Public Attributes inherited from PK_MessageAccumulatorBase
SecByteBlock | m_recoverableMessage
SecByteBlock | m_representative
SecByteBlock | m_presignature
SecByteBlock | m_semisignature
Integer | m_k
Integer | m_s
bool | m_empty

## Detailed Description

template<class HASH_ALGORITHM>
class PK_MessageAccumulatorImpl< HASH_ALGORITHM >

Interface for message encoding method for public key signature schemes.

PK_MessageAccumulatorBase provides interfaces for message encoding method.

Definition at line 473 of file pubkey.h.

## Member Function Documentation

## AccessHash()

template<class HASH_ALGORITHM >

HashTransformation & PK_MessageAccumulatorImpl< HASH_ALGORITHM >::AccessHash | ( |  | ) |

inline virtual

Implements PK_MessageAccumulatorBase.

Definition at line 476 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h